Crashes QGIS or corrupts data:Yes Copied to github as #: 25066

Description

Attribute tables that contain columns with Boolean data types can't be saved with Python and also not in Processing (output saved via

OGR).

When saved via Python one receives the error message "unsupported type for field xxx"

When saved via Processing all columns starting from the boolean field seems to vanish when save.

History

#1 - 2017-09-21 10:58 AM - Giovanni Manghi

- Status changed from Open to Feedback

Hi Andreas, what tool in Processing?

#2 - 2017-09-21 11:55 AM - Andreas Neumann

Any tool in processing that saves a vector layer that contains boolean data types.

This is all related to the new introduction of the boolean data type in QGIS master where many of the tools are note aware of this data type.

#3 - 2017-09-21 12:01 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

Andreas Neumann wrote:

Any tool in processing that saves a vector layer that contains boolean data types.

This is all related to the new introduction of the boolean data type in QGIS master where many of the tools are note aware of this data type.

Ok, so I think is better to open a separate ticket to address the problem in Processing. Agree?

#4 - 2017-09-21 12:05 PM - Andreas Neumann
oh - sorry.

The "save problem" of data with boolean data types is pretty much everywhere (Python, Processing, probably more places I am not aware of)

Perhaps there is a central solution to all of the different places where it fails? I don't know.

#5 - 2018-01-13 01:24 PM - Denis Rouzaud

Hi Andreas,

Are you able to share some demo/data project?

Or ideally Python and/or processing code?

Does it happen on any source type (PG vs others)?

On any destination or OGR only?

Thanks

#6 - 2018-01-13 01:24 PM - Denis Rouzaud

- Assignee changed from Matthias Kuhn to Denis Rouzaud

#7 - 2018-02-14 07:35 PM - Denis Rouzaud

Andreas, any chance to provide some demo data/script?

#8 - 2018-02-14 09:31 PM - Andreas Neumann

Denis Rouzaud wrote:

Andreas, any chance to provide some demo data/script?

I will have a look at it early next week. I am on holidays and my wife doesn't appreciate me spending time online.

However, there is a good chance that meanwhile the issue was fixed already. I need to test it again.

#9 - 2018-02-14 10:30 PM - Nyall Dawson

I'm fairly certain that this was already fixed by commit:cb566178914933d864fad45cf359c6845961dc06

#10 - 2018-06-08 01:51 PM - Denis Rouzaud

- Status changed from Feedback to Closed
